package com.zjsgfa.project.zjsgfa.service;

import java.util.List;
import com.zjsgfa.project.zjsgfa.domain.SjZqfx;

/**
 * 设计-周期分析Service接口
 * 
 * @author ruoyi
 * @date 2025-07-22
 */
public interface ISjZqfxService 
{
    /**
     * 查询设计-周期分析
     * 
     * @param id 设计-周期分析主键
     * @return 设计-周期分析
     */
    public SjZqfx selectSjZqfxById(Long id);

    /**
     * 查询设计-周期分析列表
     * 
     * @param sjZqfx 设计-周期分析
     * @return 设计-周期分析集合
     */
    public List<SjZqfx> selectSjZqfxList(SjZqfx sjZqfx);

    /**
     * 新增设计-周期分析
     * 
     * @param sjZqfx 设计-周期分析
     * @return 结果
     */
    public int insertSjZqfx(SjZqfx sjZqfx);

    /**
     * 修改设计-周期分析
     * 
     * @param sjZqfx 设计-周期分析
     * @return 结果
     */
    public int updateSjZqfx(SjZqfx sjZqfx);

    /**
     * 批量删除设计-周期分析
     * 
     * @param ids 需要删除的设计-周期分析主键集合
     * @return 结果
     */
    public int deleteSjZqfxByIds(Long[] ids);

    /**
     * 删除设计-周期分析信息
     * 
     * @param id 设计-周期分析主键
     * @return 结果
     */
    public int deleteSjZqfxById(Long id);
}
